<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE log4j:configuration PUBLIC "-//Apache Software Foundation//DTD log4j Configuration 1.0//EN" "log4j.dtd">
<log4j:configuration threshold="all" debug="false">
  <appender name="rolling.file.appender" class="org.apache.log4j.RollingFileAppender">
    <param name="File" value="${BATCH_LOG4J_FOLDER}/batch.log"/>
    <param name="Append" value="true"/>
    <param name="MaxFileSize" value="50MB"/>
    <param name="MaxBackupIndex" value="10"/>
    <layout class="org.apache.log4j.PatternLayout">
      <param name="ConversionPattern" value="%-5p [%c] %d{dd-MM-yyyy HH:mm:ss} : %m%n"/>
    </layout>
  </appender>
  <root>
    <level value="DEBUG"/>
    <appender-ref ref="rolling.file.appender"/>
  </root>
</log4j:configuration>